Delete a developer
DELETE /api/developers/{developer_external_id}
DELETE /api/developers/{developer_external_id}Interactive request editor loads with JavaScript.
X-API-KEY<token>
In: header
Path Parameters
developer_external_id*string
Developer external ID.
Query Parameters
portal_id?string
The unique identifier of the portal instance.
Match
^[a-zA-Z0-9-_.]+$Length
1 <= length <= 256Default
"default"Response Body
application/json
application/json
curl -X DELETE "$API_BASE_URL/api/developers/dev1"Successful operation.
{
"value": {}
}Bad Request — The request was malformed or contained invalid parameters. Check the error_msg field for details.
{
"value": {},
"error_msg": "error message"
}Complete operation details and schema variants
DELETE /api/developers/{developer_external_id}
Delete a developer
IAM Action: portal:DeleteDeveloper, Resource: arn:api7:portal:portal/%s/developer/%s
Parameters
developer_external_id(path, string, required): Developer external ID.portal_id(query, string, optional): The unique identifier of the portal instance.
Responses
200: Successful operation.value(object, optional): The specific resource.400: Bad Request — The request was malformed or contained invalid parameters. Check the error_msg field for details.value(object, optional): The specific resource.error_msg(string, optional): The error message.
cURL
curl -X DELETE '$API_BASE_URL/api/developers/{developer_external_id}'